summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Lehtonen <markus.lehtonen@linux.intel.com>2017-01-17 14:51:14 +0200
committerMarkus Lehtonen <markus.lehtonen@linux.intel.com>2017-01-17 14:51:14 +0200
commit3b717ea2d77ae2c6dab523c50db7bd71897d36c1 (patch)
tree0a4faa9479fd788c4d49ac549c9177b3d111e076
parentf7f3826e5aa6a2aa467c27bb320ca2480d019158 (diff)
downloadopenembedded-core-contrib-marquiz/scripts.tar.gz
build-perf-bisect: add rootfstime methodmarquiz/scripts
Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com>
-rwxr-xr-xbuild-perf-bisect.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/build-perf-bisect.sh b/build-perf-bisect.sh
index 52c00650a6..6fdd05beb8 100755
--- a/build-perf-bisect.sh
+++ b/build-perf-bisect.sh
@@ -264,6 +264,22 @@ cleanup_buildtime2 () {
run_cmd rm -rf tmp*
}
+rootfstime () {
+ # Pre-build to populate sstate cache
+ _time=`time_cmd bitbake $1` || exit 125
+ run_cmd rm -rf tmp*
+
+ do_sync
+
+ results+=(`time_cmd bitbake -c rootfs $1`) || exit 125
+
+ save_buildstats
+}
+
+cleanup_rootfstime () {
+ run_cmd rm -rf tmp*
+}
+
tmpsize () {
log "cleaning up build directory"
run_cmd rm -rf bitbake.lock conf/sanity_info cache tmp sstate-cache
@@ -328,6 +344,10 @@ case "$test_method" in
builddir="$workdir/build"
cleanup_func=cleanup_buildtime2
;;
+ rootfstime)
+ builddir="$workdir/build"
+ cleanup_func=cleanup_rootfstime
+ ;;
tmpsize)
quantity="SIZE"
;;